import { QueryBIRepository } from "@/domain/repositories/QueryBiRepository.js"
export class QueryBiUsecase {


    constructor(
        private queryRepository: QueryBIRepository
    ) { }

    async execute(bi_number: string) {
        const response = await this.queryRepository.queryBi(bi_number)
        return response
    }
}